Форум русскоязычного сообщества Ubuntu


Получить помощь и пообщаться с другими пользователями Ubuntu можно
на irc канале #ubuntu-ru в сети Freenode
и в Jabber конференции ubuntu@conference.jabber.ru

Автор Тема: Как избавиться от ошибки? (E: Sub-process /usr/bin/dpkg returned an error... )  (Прочитано 1885 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн superguest

  • Автор темы
  • Любитель
  • *
  • Сообщений: 94
    • Просмотр профиля
Всех приветствую!

Помогите разобраться, дело вот в чём, при любом использовании apt в конце действия выводится сообщение:
Цитировать
При обработке следующих пакетов произошли ошибки:
 virtualbox
 virtualbox-qt
E: Sub-process /usr/bin/dpkg returned an error code (1)
Не так давно установил virtualbox, программа работает, но эти сообщения об ошибках выводятся каждый раз, когда устанавливаю новый пакет, пытался проверить пакеты и перенастроить VirtualBox - безрезультатно.
(Нажмите, чтобы показать/скрыть)
(Нажмите, чтобы показать/скрыть)
Подскажите, что ещё можно попробовать, никакой блокировки пакетов нет, надоело просто наблюдать эти сообщения.

Оффлайн AlexBKost

  • Старожил
  • *
  • Сообщений: 1994
  • Kubuntu 12.04, 16.04, 18.04, 19.04, 19.10
    • Просмотр профиля
Подскажите, что ещё можно попробовать, никакой блокировки пакетов нет, надоело просто наблюдать эти сообщения.

Совет будет очень простой но действенный. Сначала снести нах этот virtualbox, установить пакетный менеджер Synaptic, и все последующие действия по обновлению системы, установке и удалению программ производить исключительно через него. В том числе и новую установку удаленного virtualbox.
Я странен, а не странен кто ж? (С)

Оффлайн superguest

  • Автор темы
  • Любитель
  • *
  • Сообщений: 94
    • Просмотр профиля
AlexBKost, переустановил через synaptic - тоже самое, те же ошибки, только в консоли синаптика. Synaptic неплохая вещь, но его загрузка -выгрузка времени отнимает больше, теже ошибки можно получить в консоли быстрей и проще)


А не может быть проблемы в версии ядра?

Цитировать
Module:  virtualbox
Version: 5.0.24
Kernel:  4.4.0-31-generic (i686)

может быть разработчики virtualbox нумеруют версии своих программ под ядро и нужно 4.4.0-24, или попробовать последнее ядро из ветки, или раннюю версию virtualbox?
« Последнее редактирование: 07 Август 2016, 00:57:38 от superguest »

Оффлайн AlexBKost

  • Старожил
  • *
  • Сообщений: 1994
  • Kubuntu 12.04, 16.04, 18.04, 19.04, 19.10
    • Просмотр профиля

А не может быть проблемы в версии ядра?

Версия ядра ни коим образом не привязана к версии virtualbox и наоборот. Забудьте про цифру 24 в этом плане.

Очень рад, что вам тоже понравился Synaptic, считаю что каждый моральный убунтовец должен иметь его на хозяйстве.
Я странен, а не странен кто ж? (С)

toZen

  • Гость
sudo dpkg --remove --force-remove-reinstreq virtualbox virtualbox-qtsudo apt-get autocleansudo apt-get update ; sudo apt-get upgrade??

Оффлайн superguest

  • Автор темы
  • Любитель
  • *
  • Сообщений: 94
    • Просмотр профиля
τοΖεη,
(Нажмите, чтобы показать/скрыть)
(Нажмите, чтобы показать/скрыть)
(Нажмите, чтобы показать/скрыть)

(Нажмите, чтобы показать/скрыть)

Сам VirtualBox работает и никаких ошибок с его стороны пока не было, нельзя ли скрыть эти сообщения инсталлятора, подсунуть dpkg инфу, что всё нормально или что такие пакеты вообще не установлены?

Да, вот ещё, пакет virtualbox-dkms - он действительно нужен? Вчера при установке virtualbox он ставился минут 10 наверно, вот лог:

(Нажмите, чтобы показать/скрыть)
« Последнее редактирование: 07 Август 2016, 10:20:50 от superguest »

toZen

  • Гость
superguest, ммм-да...что-то система пакетов совсем поломана... ???
Можно попробовать провернуть грязный хак.
Сохраните /var/lib/dpkg/status как status.bak
Удалите в текущем все секции с упоминанием vbox (package name: vbox etc).
Сохраните и: update/upgrade.
Или, смените текущий status на один из old-ов.
« Последнее редактирование: 07 Август 2016, 11:25:03 от τοΖεη »

toZen

  • Гость
У Вас какая архитектура? Логи с ошибками vbox по 32-й.

Оффлайн superguest

  • Автор темы
  • Любитель
  • *
  • Сообщений: 94
    • Просмотр профиля
У Вас какая архитектура? Логи с ошибками vbox по 32-й.
32-разрядная, i686

Просто шикарно, удалил упоминания про два этих пакета (virtualbox, virtualbox-qt) и обновился, теперь никаких ошибок)
Спасибо огромное.

toZen

  • Гость
Решено?

Оффлайн superguest

  • Автор темы
  • Любитель
  • *
  • Сообщений: 94
    • Просмотр профиля
Да, решено, сейчас всё нормально. Спасибо Вам.

PS: пришлось заблокировать пакеты через sudo apt-mark hold virtualbox virtualbox-qt virtualbox-dkms, иначе пакет virtualbox-dkms хотел удалится, а перед запуском virtualbox теперь нужно ввести sudo modprobe vboxdrv, но вроде бы это все неприятности, всё работает и virtualbox и apt никаких ошибок не выдаёт.
« Последнее редактирование: 07 Август 2016, 13:07:51 от superguest »

 

Страница сгенерирована за 0.07 секунд. Запросов: 24.